package org.amse.chekh.paint_graph.abstact_view;

import java.awt.Color;
import java.util.List;

/**
 *       
 * 
 * @author 
 */
public interface IAbstractView {

	/**
	 *   
	 * 
	 * @param graph -
	 *             
	 * @return  
	 */
	public void addGraph(IGraph graph);

	/**
	 *      
	 * 
	 * @param index -
	 *             
	 * @param graph -
	 *             
	 */
	public void addGraphAt(int index, IGraph graph);

	/**
	 *      <b>graphs</b>
	 * 
	 * @param graphs -
	 *              
	 */
	public void addAllGraphs(List<IGraph> graphs);

	/**
	 *   <b>oldGraph</b>   <b>newGraph</b>
	 * 
	 * @param oldGraph -
	 *             
	 * @param newGraph -
	 *             
	 */
	public void changeGraph(IGraph oldGraph, IGraph newGraph);

	/**
	 *   
	 * 
	 * @param graph -
	 *             
	 */
	public void removeGraph(IGraph graph);

	/**
	 * @return      
	 */
	public List<IGraph> graphs();

	/**
	 *      
	 * 
	 * @param l -
	 *            
	 */
	public void addListener(IListener l);

	/**
	 *   
	 * 
	 * @param l -
	 *             
	 */
	public void removeListener(IListener l);

	/**
	 *      
	 * 
	 * @param graph -
	 *            ,     
	 * @param minX -
	 *              X
	 * @param maxX -
	 *              X
	 * @param countOfSegment -
	 *               
	 * @param color -
	 *               
	 */
	public void setProperties(IGraph graph, double minX, double maxX,
			int countOfSegment, Color color);

	/**
	 *  :     
	 * 
	 * @param graph -
	 *            ,     
	 * @param isPaint -
	 *               
	 */
	public void setGraphPaint(IGraph graph, boolean isPaint);

	/**
	 *       
	 * 
	 * @param graph -
	 *            ,     
	 */
	public void changeGraphSelected(IGraph graph);

}
