package org.amse.chekh.paint_graph.model.bintree.node;

/**
 *   -
 * 
 * @author 
 */
public class ConstantNode extends AbstractNode {

	/**
	 *     
	 */
	private double myValue;
	
	public ConstantNode(double value) {
		this.myValue = value;
	}
	
	@Override
	public boolean canEvaluate(double x) {
		return true;
	}

	@Override
	public double evaluate(double x) {
		return this.myValue;
	}

	@Override
	public String getFunction() {
		return "" + this.myValue;
	}

	@Override
	public AbstractNode getDifferencial() {
		return AbstractNode.ZERO_NODE;
	}

}
