package org.amse.chekh.paint_graph.model.impl;

import org.amse.chekh.paint_graph.model.IFunction;

public class FunctionFactory {

	private FunctionFactory() {
	}

	public static IFunction createFunction(String text) {
		Function f = new Function(text);
		f.parse();
		return f;
	}

}
