package org.amse.chekh.paint_graph.tests.function_tests;

import junit.framework.TestCase;

import org.amse.chekh.paint_graph.model.IFunction;
import org.amse.chekh.paint_graph.model.impl.FunctionFactory;

public class GetTextTests extends TestCase {

	public void test1() {
		IFunction f = FunctionFactory.createFunction("12.12");
		assertEquals("12.12", f.getText());
	}

	public void test2() {
		IFunction f = FunctionFactory.createFunction("sin(x)+cos(x)-2.0");
		assertEquals("sin(x)+cos(x)-2.0", f.getText());	
	}

	public void test3() {
		IFunction f = FunctionFactory.createFunction("x+x/x*x-x^x");
		assertEquals("x+x/x*x-x^x", f.getText());
	}
	
	public void test4() {
		IFunction f = FunctionFactory.createFunction("sin(x)+(x/x*(x-x^x");
		assertEquals("sin(x)+(x/x*(x-x^x", f.getText());
	}
	
	public void test5() {
		IFunction f = FunctionFactory.createFunction("xx/x*xx^x");
		assertEquals("xx/x*xx^x", f.getText());
	}

}
