package org.amse.chekh.paint_graph.tests.graph_proerties_tests;

import org.amse.chekh.paint_graph.abstact_view.IGraph;
import org.amse.chekh.paint_graph.abstact_view.impl.GraphFactory;

import junit.framework.TestCase;

public class GetCountOfSegmentTests extends TestCase {

	public void test1() {
		IGraph g = GraphFactory.createGraph(null, -11.1, 10.0, 100, null, true);
		assertEquals(100, g.getProperties().getCountOfSegment());
	}

	public void test2() {
		IGraph g = GraphFactory
				.createGraph(null, 23.34, 44.0, 2000, null, true);
		assertEquals(2000, g.getProperties().getCountOfSegment());
	}

	public void test3() {
		IGraph g = GraphFactory.createGraph(null, 0.0, 10.0, 0, null, true);
		assertEquals(0, g.getProperties().getCountOfSegment());
	}

}
