package org.amse.chekh.paint_graph.tests.graph_proerties_tests;

import org.amse.chekh.paint_graph.abstact_view.IGraph;
import org.amse.chekh.paint_graph.abstact_view.impl.GraphFactory;

import junit.framework.TestCase;

public class GetMaximumXTests extends TestCase {

	public void test1() {
		IGraph g = GraphFactory
				.createGraph(null, -11.1, 12.34, 100, null, true);
		assertEquals(12.34, g.getProperties().getMaximumX());
	}

	public void test2() {
		IGraph g = GraphFactory.createGraph(null, -23.34, -15.44, 100, null,
				true);
		assertEquals(-15.44, g.getProperties().getMaximumX());
	}

	public void test3() {
		IGraph g = GraphFactory.createGraph(null, 10.0, 0.0, 100, null, true);
		assertEquals(0.0, g.getProperties().getMaximumX());
	}

}
