package org.amse.chekh.paint_graph.tests.graph_tests;

import java.awt.Color;

import junit.framework.TestCase;

import org.amse.chekh.paint_graph.abstact_view.IGraph;
import org.amse.chekh.paint_graph.abstact_view.impl.GraphFactory;

public class IsGraphPaintTests extends TestCase {

	public void test1() {
		IGraph g = GraphFactory.createGraph(null, -11.1, 10.0, 100, Color.BLACK, true);
		assertTrue(g.isGraphPaint());
	}

	public void test2() {
		IGraph g = GraphFactory.createGraph(null, -11.1, 10.0, 100, Color.BLACK, false);
		assertFalse(g.isGraphPaint());
	}
	
}
