package org.amse.chekh.paint_graph.abstact_view.impl;

import java.awt.Color;

import org.amse.chekh.paint_graph.abstact_view.IGraph;
import org.amse.chekh.paint_graph.model.IFunction;

public class GraphFactory {

	private GraphFactory() {
	}

	public static IGraph createGraph(IFunction function, double minX, double maxX, int countOfSegment,
			Color color, boolean isPaint) {
		Graph graph = new Graph(function);
		graph.setProperties(minX, maxX, countOfSegment, color);
		graph.setGraphPaint(isPaint);
		return graph;
	}
	
}
