package org.amse.chekh.paint_graph.model.bintree.node;

/**
 *    
 * 
 * @author 
 */
public abstract class AbstractNode {

	/**
	 *    X (   Y = X)
	 */
	public static final AbstractNode VARIABLE_NODE = new VariableNode();

	/**
	 *    
	 */
	public static final AbstractNode ZERO_NODE = new ConstantNode(0.0);

	/**
	 *    
	 */
	public static final AbstractNode ONE_NODE = new ConstantNode(1.0);

	/**
	 *     
	 * 
	 * @return    
	 */
	public abstract String getFunction();

	/**
	 * ,        <b>x</b>
	 * 
	 * @param x -
	 *             ,     
	 *            
	 * @return       <b>x</b>
	 */
	public abstract boolean canEvaluate(double x);

	/**
	 *      <b>x</b>
	 * 
	 * @param x -
	 *             ,    
	 * 
	 *      , 
	 * @return Double.NaN
	 * 
	 * @return     
	 */
	public abstract double evaluate(double x);

	/**
	 * @return  
	 */
	abstract public AbstractNode getDifferencial();

}
