package org.amse.chekh.paint_graph.model.bintree.node;

/**
 *   -.   Y = X
 * 
 * @author 
 */
public class VariableNode extends AbstractNode {

	VariableNode() {
	}

	@Override
	public boolean canEvaluate(double x) {
		return true;
	}

	@Override
	public double evaluate(double x) {
		return x;
	}

	@Override
	public String getFunction() {
		return "x";
	}

	@Override
	public AbstractNode getDifferencial() {
		return AbstractNode.ONE_NODE;
	}

}
