package org.amse.chekh.paint_graph.tests;

import org.amse.chekh.paint_graph.tests.absract_view_tests.*;
import org.amse.chekh.paint_graph.tests.function_tests.*;
import org.amse.chekh.paint_graph.tests.graph_proerties_tests.*;
import org.amse.chekh.paint_graph.tests.graph_tests.*;
import org.amse.chekh.paint_graph.tests.reader_tests.ReaderTests;
import org.amse.chekh.paint_graph.tests.writer_tests.WriterTests;

import junit.framework.Test;
import junit.framework.TestSuite;

public class AllTests {
	public static Test suite() {
		TestSuite suite = new TestSuite();
		suite.addTestSuite(EvaluateTests.class);
		suite.addTestSuite(CanEvaluateTests.class);
		suite.addTestSuite(IsValidTests.class);
		suite.addTestSuite(GetTextTests.class);
		suite.addTestSuite(AddGraphTests.class);
		suite.addTestSuite(RemoveGraphTests.class);
		suite.addTestSuite(GetMinimumXTests.class);
		suite.addTestSuite(GetMaximumXTests.class);
		suite.addTestSuite(GetCountOfSegmentTests.class);
		suite.addTestSuite(GetColorTests.class);
		suite.addTestSuite(GetFunctionTests.class);
		suite.addTestSuite(IsGraphPaintTests.class);
		suite.addTestSuite(WriterTests.class);
		suite.addTestSuite(ReaderTests.class);
		return suite;
	}
}
