package org.amse.chekh.paint_graph.tests.graph_proerties_tests;

import java.awt.Color;

import org.amse.chekh.paint_graph.abstact_view.IGraph;
import org.amse.chekh.paint_graph.abstact_view.impl.GraphFactory;

import junit.framework.TestCase;

public class GetColorTests extends TestCase {

	public void test1() {
		IGraph g = GraphFactory.createGraph(null, -11.1, 10.0, 100,
				Color.BLACK, true);
		assertEquals(Color.BLACK, g.getProperties().getColor());
	}

	public void test2() {
		IGraph g = GraphFactory.createGraph(null, 23.34, 44.0, 100, Color.BLUE,
				true);
		assertEquals(Color.BLUE, g.getProperties().getColor());
	}

	public void test3() {
		IGraph g = GraphFactory.createGraph(null, 0.0, 10.0, 100, Color.RED,
				true);
		assertEquals(Color.RED, g.getProperties().getColor());
	}
}
